Package com.orbbec.obsensor

## Class PointFrame

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.PointFrame

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class PointFrame
    extends Frame

Point cloud frame

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getPointCloudData​(float[] data)` Return point cloud frame data

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPointCloudData

    public void getPointCloudData​(float[] data)

Return point cloud frame data

Parameters:
  `data` - Data returned by point cloud frame